# <img src="https://github.com/pip-webui/pip-webui/raw/master/doc/Logo.png" alt="Pip.WebUI Logo" style="max-width:30%"> <br/> Basic controls

![](https://img.shields.io/badge/license-MIT-blue.svg)

Pip.WebUI.Controls modules provides controls mix

**Color picker** control allows to select a color from predefined pallette.

<a href="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-color-picker.png" style="border: 3px ridge #c8d2df; display: inline-block">
    <img src="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-color-picker.png"/>
</a>

See online sample [here...](http://webui.pipdevs.com/pip-webui-controls/index.html#/color_picker)

**Image slider** creates an interactive image carusel with smooth animations. This control is usually used on landing or guidance screens.

<a href="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-slider.png" style="border: 3px ridge #c8d2df; display: inline-block">
    <img src="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-slider.png"/>
</a>

See online sample [here...](http://webui.pipdevs.com/pip-webui-controls/index.html#/image_slider)

**Markdown** control visualizes hypertext formated as markdown and converted int HTML.

<a href="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-markdown.png" style="border: 3px ridge #c8d2df; display: inline-block">
    <img src="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-markdown.png"/>
</a>

See online sample [here...](http://webui.pipdevs.com/pip-webui-controls/index.html#/markdown)

**Popover** control provides nice looking popovers with achors. Usually that control is used for context guidance.

<a href="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-popover.png" style="border: 3px ridge #c8d2df; display: inline-block">
    <img src="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-popover.png"/>
</a>

See online sample [here...](http://webui.pipdevs.com/pip-webui-controls/index.html#/popover)

**Progress** control shows animated ring with a logo inside. It is used in page transitions and initial application loading.

<a href="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-progress.png" style="border: 3px ridge #c8d2df; display: inline-block">
    <img src="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-progress.png"/>
</a>

See online samples [here...](http://webui.pipdevs.com/pip-webui-controls/index.html#/progress)

**Reference expander** is a clickable elemement that looks similar to **Reference item** but also allows to expand/collapse details.

<a href="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-ref-expander.png" style="border: 3px ridge #c8d2df; margin: auto; display: inline-block">
    <img src="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-ref-expander.png"/>
</a>

**Empty state** component shows a placeholder for pages without data. It gives an explanation and provides one or few actions to get started.

<a href="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-empty.png" style="border: 3px ridge #c8d2df; margin: auto; display: inline-block">
    <img src="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-empty.png"/>
</a>

**Toast** services allows to show toast messages, formatted in different ways and presented in priority order. It ensures that one toast message will not hide another one, until timeout expires or users handles it.

<a href="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-toast.png" style="border: 3px ridge #c8d2df; display: inline-block">
    <img src="https://github.com/pip-webui/pip-webui-controls/raw/master/doc/images/img-toast.png"/>
</a>

See online samples [here...](http://webui.pipdevs.com/pip-webui-controls/index.html#/toasts)


## Learn more about the module

- [User's guide](https://github.com/pip-webui/pip-webui-controls/blob/master/doc/UsersGuide.md)
- [Online samples](http://webui.pipdevs.com/pip-webui-controls/index.html)
- [API reference](http://webui-api.pipdevs.com/pip-webui-controls/index.html)
- [Developer's guide](https://github.com/pip-webui/pip-webui-controls/blob/master/doc/DevelopersGuide.md)
- [Changelog](https://github.com/pip-webui/pip-webui-controls/blob/master/CHANGELOG.md)
- [Pip.WebUI project website](http://www.pipwebui.org)
- [Pip.WebUI project wiki](https://github.com/pip-webui/pip-webui/wiki)
- [Pip.WebUI discussion forum](https://groups.google.com/forum/#!forum/pip-webui)
- [Pip.WebUI team blog](https://pip-webui.blogspot.com/)

## <a name="dependencies"></a>Module dependencies

* [pip-webui-lib](https://github.com/pip-webui/pip-webui-lib): angular, angular material and other 3rd party libraries
* [pip-webui-css](https://github.com/pip-webui/pip-webui-css): CSS styles and web components
* [pip-webui-services](https://github.com/pip-webui/pip-webui-services): localization and other core services

## <a name="license"></a>License

This module is released under [MIT license](License) and totally free for commercial and non-commercial use.
